## org.apache.poi.poifs.eventfilesystem
Class POIFSReaderEvent

    java.lang.Object
      org.apache.poi.poifs.eventfilesystem.POIFSReaderEvent

public class POIFSReaderEvent
extends java.lang.Object

Class POIFSReaderEvent

Version:
  %I%, %G%
Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`java.lang.String` `getName()`
`POIFSDocumentPath` `getPath()`
`DocumentInputStream` `getStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStream

    public DocumentInputStream getStream()

  Returns:
    the DocumentInputStream, freshly opened

### getPath

    public POIFSDocumentPath getPath()

  Returns:
    the document's path

### getName

    public java.lang.String getName()

  Returns:
    the document's name

Copyright © 2003 Apache Software Foundation.